em8300 support (dxr3) in 1.3.0

Moderator: Moderator

lorenzodes
master
Posts: 772
Joined: Sun Mar 11, 2007 4:50 pm
Location: move.l 4.w,a6

em8300 support (dxr3) in 1.3.0

Postby lorenzodes » Fri Mar 23, 2012 2:05 pm

Houston, we have a problem!

The driver for em8300-based devices hasn't been updated in the last 4 years, the latest one doesn't work with recent kernels.

Now, I don't know if someone still uses the old dxr3 card (or is going to use MMS 1.3.0), but the point is I can't port the dxr3-related code to mms 1.3.0. I don't have the hardware to test it and I can't even install the old drivers on my system (I'm currently using a 3.2 kernel). I am however willing to give full support to anyone who is still interested in dxr3 support in mms and can provide the needed patches. The old code is still there, although disabled. To port it, it should just be a matter of adding a configure script (I could do that myself actually) and tweak it to support the new ffmpeg wrapper I introduced with patch 2309.

So, if you're an mms AND dxr3 user and own some coding skills, step up!
"I’m not frightened of dying, anytime will do, I don’t mind. Why should I be frightened of dying? There’s no reason for it, you gotta go sometime"

User avatar
naicheben
Overlord
Posts: 1332
Joined: Tue Apr 04, 2006 12:50 pm
Location: Germany/Leck
Contact:

Re: em8300 support (dxr3) in 1.3.0

Postby naicheben » Fri Mar 23, 2012 6:10 pm

I do have some DXR3 cards but I do not use them anymore. Wonder if there still are people out there usig it?
mit Hellseherschein ;.)

lorenzodes
master
Posts: 772
Joined: Sun Mar 11, 2007 4:50 pm
Location: move.l 4.w,a6

Re: em8300 support (dxr3) in 1.3.0

Postby lorenzodes » Fri Mar 23, 2012 7:01 pm

naicheben wrote:I do have some DXR3 cards but I do not use them anymore. Wonder if there still are people out there usig it?


I have no idea. Maybe it would be better if we just drop its support.
"I’m not frightened of dying, anytime will do, I don’t mind. Why should I be frightened of dying? There’s no reason for it, you gotta go sometime"

User avatar
Uatschitchun
Overlord
Posts: 3189
Joined: Tue Dec 06, 2005 6:55 pm
Location: Germany
Contact:

Re: em8300 support (dxr3) in 1.3.0

Postby Uatschitchun » Mon Mar 26, 2012 7:26 pm

I lately did release latest em8300 drivers for debian and ubuntu (a checkout from devel tree). These coud be used, as they work with recent kernels!

I even don't have a dxr3 card in use anymore. I guess we should just drop support with 1.3.0. But for to test, you find the sources on my server.
Lg
Roman

dj
veteran
Posts: 111
Joined: Thu Jan 12, 2006 2:11 pm
Location: At the keyboard

Re: em8300 support (dxr3) in 1.3.0

Postby dj » Fri Dec 07, 2012 7:52 pm

Still using the dxr3... I'm not sure if I can help but I can try.

dj
veteran
Posts: 111
Joined: Thu Jan 12, 2006 2:11 pm
Location: At the keyboard

Re: em8300 support (dxr3) in 1.3.0

Postby dj » Thu Dec 20, 2012 9:25 pm

Sorry, can't help with the dxr3. Maybe it should be dropped..


Return to “announcements”

Who is online

Users browsing this forum: No registered users and 3 guests